# -*- coding: utf-8 -*-
"""Sample controller module"""

import random

# turbogears imports
from tg import config, expose, redirect, require
#from tg import validate, flash

# third party imports
#from pylons.i18n import ugettext as _
from repoze.what import predicates
from sqlalchemy.sql import not_, and_

# project specific imports
from raffle.lib.base import BaseController
from raffle.model import DBSession
from raffle.model.main import Raffle
from raffle.model.prize import Prize
from raffle.model.ticket import Ticket

class AdminController(BaseController):
    #Uncomment this line if your controller requires an authenticated user
    #allow_only = authorize.not_anonymous()

    @require(predicates.in_group(config.get('admingroup')))
    @expose('raffle.templates.admin')
    def index(self):
        raffles = DBSession.query(Raffle)
        return dict(raffles=raffles)

    @require(predicates.in_group(config.get('admingroup')))
    @expose('raffle.templates.admin')
    def select_winners(self, raffle_id):
        prizes = DBSession.query(Prize).filter(and_(Prize.winner==None,
            raffle_id==raffle_id))
        ### TODO check that the Ticket isn't already a prize winner
        tkts = [t for t in DBSession.query(Ticket).filter(Ticket.raffle_id==raffle_id)]
        # randomly shuffle the tickets
        random.shuffle(tkts)

        # for each prize, select a winner
        for prize in prizes:
            winner = tkts.pop()
            prize.winner = winner.id
        # for each ticket in raffle:
        redirect('/admin')

    def create_raffle(self):
        return dict()

    def create_prize(self):
        return dict()

    def raffle(self):
        return dict()
