# -*- coding: utf-8 -*-
"""Sample controller module"""

# turbogears imports
from tg import expose, response
#from tg import redirect, validate, flash
from tg.controllers import CUSTOM_CONTENT_TYPE


# third party imports
from kitchen.text.converters import to_bytes
#from pylons.i18n import ugettext as _
#from repoze.what import predicates

# project specific imports
from raffle.lib.base import BaseController
from raffle.model import DBSession, PrizeImage


class PrizeController(BaseController):

    @expose(content_type=CUSTOM_CONTENT_TYPE)
    def image(self, imageid):
        image = DBSession.query(PrizeImage).filter_by(id=imageid).one()

        response.headers['Content-Type'] = to_bytes(image.mimetype)
        return image.image

    @expose(content_type=CUSTOM_CONTENT_TYPE)
    def thumbnail(self, imageid):
        image = DBSession.query(PrizeImage).filter_by(id=imageid).one()

        response.headers['Content-Type'] = to_bytes(image.mimetype)
        return image.thumbnail
