## Need TG-2.1.x
##<%inherit file="local:templates.master"/>
<%inherit file="raffle.templates.master"/>
<%!
from datetime import datetime
%>

<%def name="title()">
  Current Raffles
</%def>

<%def name="ellipsize_list(lst, length)">
  <% output = ', '.join(lst) %>
  % if len(output) > length:
    ${output[:length]} ...
  % else:
    ${output}
  %endif
</%def>

<%def name="format_date(date)">
${date.strftime('%Y-%m-%d')}
</%def>

<%def name="raffle_row(row)">
<%
raffle_url = tg.url('/raffle/%s' % row.id)
if row.start_date > datetime.utcnow():
  raffle_class = 'class="future"'
elif row.end_date < datetime.utcnow():
  raffle_class = 'class="finished"'
  raffle_url = tg.url('/results/%s' % row.id)
else:
  raffle_class = 'class="ongoing"'
%>

<tr ${raffle_class | n}><td>
  <a href="${raffle_url | n}">${row.title}</a>
</td><td>

<% 
prize_count = dict()
prize_names = dict()
prize_list = []
for p in row.prizes:
    if p.prize_info_id in prize_count:
        prize_count[p.prize_info_id] = prize_count[p.prize_info_id] + 1
    else:
        prize_count[p.prize_info_id] = 1
    prize_names[p.prize_info_id] = p.prize_info.name

for p in prize_names:
    prize_list.append('%s: %s' % (prize_count[p], prize_names[p]))
%>
${ellipsize_list(prize_list, 40)}
</td><td>
${format_date(row.start_date)}
</td><td>
${format_date(row.end_date)}
</td></tr>
</%def>

${parent.sidebar_top()}
<div id="content">
<h1>Current Raffles</h2>
<p>Fedora occassionally holds raffles to give out prizes to people.  This page
lets eligible people participate in currently ongoing raffles.</p>

<table>
  <tr>
  <th>Raffle name</th>
  <th>Prizes</th>
  <th>Start date</th>
  <th>End date</th>
  </tr>
% if tg.auth_stack_enabled and request.identity:
  <%
    eligible = []
    ineligible = []
    finished = []
    user_groups = frozenset(request.identity['groups'])
    for raffle in raffles:
      if raffle.groups and not (user_groups.intersection(raffle.groups) or ('cla + one' in raffle.groups and h.has_cla_plus_one())):
        if raffle.end_date < datetime.utcnow():
          finished.append(raffle)
        else:
          ineligible.append(raffle)
      else:
        if raffle.end_date < datetime.utcnow():
          finished.append(raffle)
        else:
          eligible.append(raffle)
  %>
  % if eligible:
    <tr><th colspan="4">
      Raffles you may be eligible for
    </th></tr>
    % for row in eligible:
      ${raffle_row(row)}
    % endfor
  % endif
  % if ineligible:
    <tr><th colspan="4">
      Other raffles
    </th></tr>
    % for row in ineligible:
      ${raffle_row(row)}
    % endfor
  % endif
  % if finished:
    <tr><th colspan="4">
      Completed Raffles
    </th></tr>
    % for row in finished:
      ${raffle_row(row)}
    % endfor
  % endif

%else:
  % for row in raffles:
    ${raffle_row(row)}
  % endfor
% endif
</table>
</div>


<div class="clearingdiv" />

