
<%namespace name="fedora" file="${context['fedora_template']('login.mak')}" />
<%namespace name="jsglobals" file="${context['fedora_template']('jsglobals.mak')}" />

<%!
    # Make these available for the footer
    import socket
    import raffle.release

    _hostname = socket.gethostname()
    _version = raffle.release.VERSION

%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    ${self.meta()}
    <title>${self.title()}</title>
    <link rel="stylesheet" type="text/css" media="screen" href="${tg.url('/css/raffle.css')}" />
    ${jsglobals.jsglobals()}
</head>
<body class="${self.body_class()}">
  <script src="${tg.url("/javascript/jquery-1.7.min.js")}"></script>
    ${self.infobar()}
    ${self.header()}
    ${self.main_menu()}
    ${self.content_wrapper()}
    ${self.footer()}
</body>

<%def name="content_wrapper()">
    <div>
      <%
      flash=tg.flash_obj.render('flash', use_js=False)
      %>
      % if flash:
        ${flash | n}
      % endif
      ${self.body()}
    </div>
</%def>

<%def name="body_class()"></%def>
<%def name="meta()">
  <meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
</%def>

<%def name="title()">  </%def>
<%def name="sidebar_top()">
<div id="intnav"> 
<ul> 
  <li>
  <%
    if request.environ.get('PATH_INFO', '/') == '/':
      a_class = 'class="present_page"'
    else:
      a_class = ''
  %>
  <a href="${tg.url('/')}" ${a_class|n}>List of Raffles</a></li>

  <li><a href="https://admin.fedoraproject.org/accounts/">Get a Fedora Account</a></li> 
  % if tg.auth_stack_enabled and request.identity and tg.config.get('admingroup') in request.identity['groups']:
    <%
      if request.environ.get('PATH_INFO', '/') in ('/admin', '/admin/'):
        a_class = 'class="present_page"'
      else:
        a_class = ''
    %>
    <li><a href="${tg.url('/admin')}" ${a_class|n}>Manage Raffles</a></li>
  % else:
    <li>Manage Raffles <span style="text-transform:none;font-size:-1;">(${tg.config.get('admingroup')})</span></li>
  % endif
</ul>
</div>
</%def>

<%def name="header()">
  <div id="header"> 
    <h1 class="fedora_title"><a href="http://fedoraproject.org/">Fedora</a></h1> 
    <h1 class="app_title">Fedora Raffles</h1>
  </div>
</%def>

<%def name="infobar()">
  <div id="prefbar">
    <ul class="toolbar">
      % if tg.auth_stack_enabled:
        ${fedora.logintoolitem(href=tg.url('/mytickets'))}
      % endif
    </ul>
</div>
</%def>

<%def name="footer()">
  <div id="footer">
    <ul id="footlinks">
      <li class="first">
        <a href="http://fedoraproject.org/wiki/Legal">Legal</a></li>
      <li><a href="http://fedoraproject.org/wiki/Legal/TrademarkGuidelines">
          Trademark Guidelines</a></li>
    </ul>
    <p>Fedora Raffle: ${_version} -- Server: ${_hostname}</p>
    <p class="copy">
    Copyright &copy; 2011 Red Hat, Inc.
    Please send any comments or corrections to the <a href="mailto:webmaster@fedoraproject.org">websites team</a>.
    </p>
    <p class="disclaimer">
      The Fedora Project is maintained and driven by the community and
      sponsored by Red Hat.  This is a community maintained site.  Red Hat is
      not responsible for content.
    </p>
  </div>
</%def>



<%def name="main_menu()">
<div id="extnav">
<ul> 
  <li class="first"><a href="http://fedoraproject.org/">Learn about Fedora</a></li>
  <li><a href="http://get.fedoraproject.org/">Download Fedora</a></li>
  <li><a href="http://fedoraproject.org/wiki/">Projects</a></li>
  <li><a href="http://join.fedoraproject.org/">Join Fedora</a></li>
  <li><a href="http://fedoraproject.org/wiki/Communicate">Communicate</a></li>
  <li><a href="http://docs.fedoraproject.org/">Help/Documentation</a></li>
</ul> 
</div>
</%def>
</html>
