## Need TG-2.1.x
##<%inherit file="local:templates.master"/>
<%inherit file="raffle.templates.master"/>

<%!
import datetime
import re

now = datetime.datetime.utcnow()

sanity_re = re.compile(r'<script>', re.I)

def sanity_filter(text):
  '''This function is not guaranteed to find every problematic piece of text.
  It is meant to be run on data that is supposed to come from a trusted source
  to just find things that are way out of the ordinary.
  '''
  if sanity_re.search(text):
    text =  _('Please contact admin@fedoraproject.org to look at issues with'
        ' raffle %(title)s') % {'title': raffle.title}
  return '<div>\n%s\n</div>' % text
%>


<%def name="title()">
  ${raffle.title}
</%def>

<%def name="format_date(date)">
${date.strftime('%Y-%m-%d')}
</%def>

${parent.sidebar_top()}

<div id="content">

<h2>${raffle.title}</h2>
<table class="raffleinfo" style="float:left;">
  <tr>
    <th>Start date:</th>
    <td>${format_date(raffle.start_date)}</td>
    </tr><tr>
    <th>End date:</th>
    <td>${format_date(raffle.end_date)}</td>
    </tr><tr>
    <th>Maximum raffle tickets per person</th>
    <td>
      % if raffle.ticket_limit:
        ${raffle.ticket_limit}
      % else:
        Unlimited
      % endif
    </tr><tr>
    <th>Maximum prizes a person may win</th>
    <td>
      % if raffle.ticket_limit:
        ${raffle.winning_limit}
      % else:
        No limit
      % endif
    </td>
    </tr><tr>
    <th>Number of entrants</th>
    <td>${num_tkt_owners}</td>
    </tr><tr>
    <th>Total number of tickets</th>
    <td>${num_tkts}</td>
  </tr>
</table>

<div class="prize-display" style="float: right; border:1px solid #000; margin: 2ex; padding: 0.5ex;">
<% prize_seen = set() %>
% for prize in raffle.prizes:
  % if prize.prize_info_id not in prize_seen:
    % if len(prize.prize_info.images) > 1:
      <div class="thumbnail_bar">
        % for image in prize.prize_info.images:
          <img src="${tg.url('/prizes/thumbnail/%s' % image.id)}"
            onclick="show_prize_image('prize_image_${image.id}');"
            style="border:1px solid #00f;" />
        % endfor
      </div>
    % endif
    % for image in prize.prize_info.images:
      <p class="invisible prize_image" id="prize_image_${image.id}">
        <img src="${tg.url('/prizes/image/%s' % image.id)}" />
        ${image.caption}
      </p>
    % endfor
    <div>${prize.prize_info.description}</div>
  <% prize_seen.add(prize.prize_info_id) %>
  % endif
% endfor
</div>
<script type="text/javascript">
function show_prize_image(imgId) {
  jQuery('.prize_image').addClass('invisible');
  jQuery('#' + imgId).removeClass('invisible');

}
jQuery(document).ready(function() {
  jQuery('#prize_image_' + ${image.id}).removeClass('invisible');
});
</script>

<h3 style="clear:both;">Winners</h3>

<table>
  <tr><th>
    Prize
  </th><th>
    Winner
  </th></tr>
  % for prize in raffle.prizes:
    <tr><td>
    ${prize.prize_info.name}
    </td><td>
    % if prize.winner:
      ${prize.ticket.person}
    % else:
      No winner yet
    % endif
  </td></tr>
% endfor
</table>

</div>
