from sqlalchemy import DDL
from tg import config
import transaction

from raffle.model import DBSession

def initialize():
    # Create raffleadmin
    # Create raffleapp
    # Create rafflereadonly
    pass

# paster setup-app

def grants():
    app_db_user = config.get('db.app_user', None)

    # If db.app_user is set, then we need to set SQL permissions.  This would
    # be unset for sqlite but set for postgres and mysql for instance.
    if app_db_user:
        DDL('grant select, insert, update, delete on table people_data, prize, prize_image, prize_info, raffle, raffle_group, ticket to %(user)s' % {'user': app_db_user}).execute(bind=DBSession)
        DDL('grant update on sequence prize_id_seq, prize_image_id_seq, prize_info_id_seq, raffle_id_seq, ticket_id_seq to %(user)s' % {'user': app_db_user}).execute(bind=DBSession)
        DDL('grant select, insert, update, delete on table tg_group, tg_group_permission, tg_permission, tg_user, tg_user_group to %(user)s' % {'user': app_db_user}).execute(bind=DBSession)
        DDL('grant update on sequence tg_group_group_id_seq, tg_permission_permission_id_seq, tg_user_user_id_seq to %(user)s' % {'user': app_db_user}).execute(bind=DBSession)

        # transaction commit should save things but it doesn't.  I'm guessing it
        # doesn't recognize that the grants should trigger a commit
        DDL('commit').execute(bind=DBSession)
        transaction.commit()

def disable_raffleadmin():
    DDL('alter user raffleadmin ')

def enable_raffleadmin():
    DDL('alter user raffleadmin with login encryted password')
    transaction.commit()

def disable_raffleadmin():
    DDL('alter user raffleadmin ')

def enable_raffleadmin():
    DDL('alter user raffleadmin with login encryted password')
